###################################################
### chunk number 1: 
###################################################
data(api)
dclus1 <- svydesign(id = ~dnum, weights = ~pw, data = apiclus1, fpc = ~fpc)


###################################################
### chunk number 2: 
###################################################
summary(dclus1)


###################################################
### chunk number 3: 
###################################################
svymean(~api00, dclus1)
svyquantile(~api00, dclus1, quantile=c(0.25,0.5,0.75), ci=TRUE)
svytotal(~stype, dclus1)
svytotal(~enroll, dclus1)
svyratio(~api.stu,~enroll, dclus1)


###################################################
### chunk number 4: 
###################################################
svyratio(~api.stu, ~enroll, design=subset(dclus1, stype=="H"))


###################################################
### chunk number 5: 
###################################################
vars<-names(apiclus1)[c(12:13,16:23,27:37)]
svymean(make.formula(vars),dclus1,na.rm=TRUE)


###################################################
### chunk number 6: 
###################################################
svyby(~ell+meals, ~stype, design=dclus1, svymean)


###################################################
### chunk number 7: 
###################################################
regmodel <- svyglm(api00~ell+meals,design=dclus1)
logitmodel <- svyglm(I(sch.wide=="Yes")~ell+meals, design=dclus1, family=quasibinomial())
summary(regmodel)
summary(logitmodel)


###################################################
### chunk number 8: 
###################################################
gclus1 <- calibrate(dclus1, formula=~api99, population=c(6194, 3914069))


###################################################
### chunk number 9: 
###################################################
svymean(~api00, gclus1)
svyquantile(~api00, gclus1, quantile=c(0.25,0.5,0.75), ci=TRUE)
svytotal(~stype, gclus1)
svytotal(~enroll, gclus1)
svyratio(~api.stu,~enroll, gclus1)


